#
# spec file for package python-libnacl
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-libnacl
Version:        1.4.3
Release:        5.2
License:        Apache-2.0
Summary:        Python bindings for libsodium/tweetnacl based on ctypes
Url:            https://github.com/saltstack/libnacl
Group:          Development/Languages/Python
Source0:        https://pypi.python.org/packages/source/l/libnacl/libnacl-%{version}.tar.gz
BuildRoot:      %{_tmppath}/libnacl-%{version}-build

BuildRequires:  python-setuptools
BuildRequires:  python-devel
BuildRequires:  libsodium-devel
BuildRequires:  fdupes

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This library is used to gain direct access to the functions exposed by Daniel J. Bernstein's nacl library via libsodium or tweetnacl.
It has been constructed to maintain extensive documentation on how to use nacl as well as being completely portable. The file 
in libnacl/__init__.py can be pulled out and placed directly in any project to give a single file binding to all of nacl.

%prep
%setup -q -n libnacl-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --optimize=1
%fdupes %{buildroot}%{_prefix}

%files
%defattr(-,root,root)
%{python_sitelib}/*

%changelog
* Thu Jun 11 2015 aboe76@gmail.com
- Updated to 1.4.3
- crypto_onetimeauth_verify fixes
  + Fix a call to the crypto_onetimeauth_verify routine into the right libsodium system
  + Add tests for crypto_onetimeauth_verify
- Add support for reading file streams for key loading
* Tue Mar 17 2015 aboe76@gmail.com
- Updated to 1.4.2
  + Add support to save and load SecretBox keys
* Thu Feb 19 2015 aboe76@gmail.com
- Updated to 1.4.1
  + Fix for crypto_auth_verify and crypto_auth_onetimeverify
  + Lint fixes and updates
* Mon Nov  3 2014 aboe76@gmail.com
- Updated to 1.4.0
  + Initial support has been added for the blake2b hash algorithm
  + Fix issue with keyfile saves on windows
  + Fix libsodium detection for Ubuntu manual installs and Windows dll detection
* Thu Oct  2 2014 aboe76@gmail.com
- Small update to 1.3.6
  + Restrict library load to specific supported libsodium versions
  + fix randombytes functions
* Tue Sep  9 2014 aboe76@gmail.com
- Updated to 1.3.5
  + only updates for py3
* Tue Sep  2 2014 aboe76@gmail.com
- Updated to 1.3.4
  + Fixed issue and add tests for bug where saving and loading a signing key caused a stack trace, se issue #18
  + Change the default ctype values to be more accurate and efficient
  + Update soname detection on Linux for libsodium 0.7.0
  + Make soname detection a little more future proof
* Thu Aug 14 2014 aboe76@gmail.com
- Updated to 1.3.2:
  + Add detection of the libsodium.so.10 lib created by libsodium 0.6
* Wed Jul 30 2014 aboe76@gmail.com
- Updated to 1.2.0
  his release introduces the DualKey class, secure key saving and loading,
  as well as enhancements to the time_nonce function.
  Dual Key Class
  Dual Keys are classes which can encrypt and sign data. These classes generate
  and maintain both Curve25519 and Ed25519 keys, as well as all methods for both encryption and signing.
  Time Nonce Improvements
  The original time nonce routine used the first 20 chars of the 24 char nonce for the microsecond
  timestamp (based on salt's jid), leaving 4 chars for random data. This new nonce uses far fewer
  chars for the timestamp by hex encoding the float of microseconds into just 13 chars,
  leaving 11 chars of random data. This makes the default nonce safer and more secure.on.
* Wed Jul  2 2014 aboe76@gmail.com
- Updated to 1.1.0
* Fri Jun 20 2014 aboe76@gmail.com
- Simplified BuildRequirements to libsodium-devel
* Mon Jun  9 2014 aboe76@gmail.com
- initial package
